<?PHP

//言語設定、内部エンコーディングを指定する
mb_language("japanese");
mb_internal_encoding("UTF-8");

//ライブラリ
include('googleanalytics.class.php');

//アカウント
$ga = new GoogleAnalytics('メールアドレス','パスワード');
$ga->setProfile('ga:プロファイルＩＤ');

//日付指定
$today1 = mktime(0, 0, 0, date("m"), date("d")-1,  date("Y"));
$today2 = mktime(0, 0, 0, date("m"), date("d")-1,  date("Y"));
$g1 = date("Y-m-d", $today1);
$g2 = date("Y-m-d", $today2);
$ga->setDateRange($g2,$g1);

//読み込み
$report = $ga->getReport( 
array('dimensions'=>urlencode('ga:keyword'),
        'metrics'=>urlencode('ga:visits,ga:pageviews'),
        'sort'=>'-ga:pageviews'
    )
);

//表示
echo "<html><head><meta content='text/html; charset=UTF-8' http-equiv='Content-Type'/>";
echo "</head><body>";
echo "キーワード：セッション数：ページビュー数<BR>- - - - - <BR>";

foreach( $report as $d => $m ){
 echo $d;
 foreach( $m as $a => $b ){
     echo " : ".$b;
 }
 echo "<BR>";
}

echo "</body></html>";
?>
